#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "charge2eight4xi.py">
#<abstract4xi abstract = "charges to direction eight"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
#<verify4xi verification = "11" target = "sphere4xi.py"/>
#<contextualize4xi context = "verb4xi.py"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'charge2eight4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread   
try:
    import _winapi
except:
    pass    
import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from dummyprocess4xi import DummyProcess4Xi

from fire2eight4xi import fire2eight4xi
from fire10eight4xi import fire10eight4xi
from fire100eight4xi import fire100eight4xi
from fire200eight4xi import fire200eight4xi
from fire300eight4xi import fire300eight4xi
from fire400eight4xi import fire400eight4xi
from fire500eight4xi import fire500eight4xi
from fire600eight4xi import fire600eight4xi
from fire700eight4xi import fire700eight4xi
from fire800eight4xi import fire800eight4xi
from fire900eight4xi import fire900eight4xi
from fire1000eight4xi import fire1000eight4xi
from fire1100eight4xi import fire1100eight4xi
from fire1200eight4xi import fire1200eight4xi
from fire1300eight4xi import fire1300eight4xi
from fire1400eight4xi import fire1400eight4xi
from fire1500eight4xi import fire1500eight4xi
from fire1600eight4xi import fire1600eight4xi
from fire1700eight4xi import fire1700eight4xi
from fire1800eight4xi import fire1800eight4xi
from fire1900eight4xi import fire1900eight4xi
from fire2000eight4xi import fire2000eight4xi
from fire2100eight4xi import fire2100eight4xi
from fire2200eight4xi import fire2200eight4xi
from fire2300eight4xi import fire2300eight4xi
from fire2400eight4xi import fire2400eight4xi
from fire2500eight4xi import fire2500eight4xi
from fire2600eight4xi import fire2600eight4xi
from fire2700eight4xi import fire2700eight4xi
from fire2800eight4xi import fire2800eight4xi
from fire2900eight4xi import fire2900eight4xi
from fire3000eight4xi import fire3000eight4xi
from fire3100eight4xi import fire3100eight4xi
from fire3200eight4xi import fire3200eight4xi
from fire3300eight4xi import fire3300eight4xi

from time4xi import time4xi

#"
#/>

# -------------------------------------------------------------------------------------------------
# Global constants                            
# ------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "

#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = True
      
#"
#"/>
    
             
# -----------------------------------------------------------------------------------------------------
#<function4xi function = "charge2eight4xi" usage = "
#   charges for direction EIGHT
#   commands and control via queue and pipe
#"> 
# -----------------------------------------------------------------------------------------------------
       
def charge2eight4xi(queue2work, channel2consume, channel2publish):
    '''
    charges for direction EIGHT
    '''    
    
    # ---------------------------------------------------------------------------------------------    
    #
    # ---------------------------------------------------------------------------------------------     
    if ack2debug is True:
        print('=' *33) 
        print("(STEP 1/33) OF CHARGE2EIGHT4XI, START TIME: ", time4xi())  
        print('=' *33)
        # 09:45:51 01/24/13 Pacific Standard Time
    
    # ---------------------------------------------------------------------------------------------    
    # QUEUE
    # ---------------------------------------------------------------------------------------------     

    queue2work4eight = queue2work
    
    if ack2debug is True:
        print('~' *33)
        print("(STEP 2/33) OF CHARGE2EIGHT4XI, QUEUE2WORK4EIGHT: ", queue2work4eight)
        print('~' *33)
        # <queue4xi.Queue4Xi object at 0x000000000482F5F8>
    
    # ---------------------------------------------------------------------------------------------    
    # NAMED PIPE
    # ---------------------------------------------------------------------------------------------     
    channel2consume4eight = channel2consume
    if ack2debug is True:    
        print('~' *33)
        print("(STEP 3/33) OF CHARGE2EIGHT4XI, CHANNEL2CONSUME4EIGHT: ", channel2consume4eight)
        print('~' *33)
        # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000047969B0>
    
    # ---------------------------------------------------------------------------------------------    
    # NAMED PIPE
    # ---------------------------------------------------------------------------------------------     
    channel2publish4eight = channel2publish
    if ack2debug is True:    
        print('~' *33)
        print("(STEP 4/33) OF CHARGE2EIGHT4XI, CHANNEL2PUBLISH4EIGHT: ", channel2publish4eight)
        print('~' *33)
        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000004796898>
        
    
    # ---------------------------------------------------------------------------------------------    
    # GETTING FROM QUEUE
    # --------------------------------------------------------------------------------------------- 
        
    try:
        message2qet4eight = queue2work4eight.get()
        if ack2debug is True:
            print("(STEP 5A/33) OF CHARGE2EIGHT4XI - MESSAGE2QET4EIGHT GOT: ", message2qet4eight) 
            # 
        
        if message2qet4eight == "<copy4xi>copy2eight</copy4xi>":
            message2put4eight = "<roger4xi>roger2eight</roger4xi>"
            if ack2debug is True:
                print("(STEP 5B/33) OF CHARGE2EIGHT4XI - SET MESSAGE2PUT4EIGHT TO: ", message2put4eight) 
                # 
        else:
            if ack2debug is True:
                print("(STEP 5c/33) OF CHARGE2EIGHT4XI - *** UNREGONIZED MESSAGE GOT: ", message2qet4eight)           
            message2put4eight = "<negative4xi>negative2eight</negative4xi>"
            if ack2debug is True:
                print("(STEP 5d/33) OF CHARGE2EIGHT4XI - SET MESSAGE2PUT4EIGHT TO: ", message2put4eight)             
    except:
        message2put4eight = "<negative4xi>negative2eight</negative4xi>"
    
    
    # ---------------------------------------------------------------------------------------------    
    # PUTTING TO QUEUE
    # --------------------------------------------------------------------------------------------- 
    if ack2debug is True:
        print("(STEP 6A/33) OF CHARGE2EIGHT4XI - TRYING TO PUT MESSAGE2PUT4EIGHT: ", message2put4eight)
        #                              
    try:         
        queue2work4eight.put(message2put4eight) 
        if ack2debug is True:
            print('~' *33)
            print("(STEP 6B/33) OF CHARGE2EIGHT4XI - PUT TO QUEUE2WORK4EIGHT: ", queue2work4eight, ' MESSAGE2PUT4EIGHT: ', message2put4eight)
            print('~' *33)
            # 
        
    except:
        print("(STEP 6c/33) OF CHARGE2EIGHT4XI *** FAILED TO PUT TO QUEUE2WORK4EIGHT: ", queue2work4eight, ' MESSAGE2PUT4EIGHT: ', message2put4eight)
                   
    # ---------------------------------------------------------------------------------------------    
    # RECEIVING FROM PIPE CONSUMER CHANNEL
    # ---------------------------------------------------------------------------------------------     
    if ack2debug is True:
        print("(STEP 7A/33) OF CHARGE2EIGHT4XI - TRYING TO RECEIVE FROM CHANNEL2CONSUME4EIGHT: ", channel2consume4eight)
        # 
    try:
        message2receive4eight = channel2consume4eight.recv()
        if ack2debug is True:        
            print("(STEP 7B/33) OF CHARGE2EIGHT4XI - RECEIVED MESSAGE2RECEIVE4EIGHT: ", message2receive4eight)
            # 
        
        if message2receive4eight == "<copy4xi>copy2eight</copy4xi>":
            message2send4eight = "<roger4xi>roger2eight</roger4xi>"
            if ack2debug is True:
                print("(STEP 7C/33) OF CHARGE2EIGHT4XI - SET MESSAGE2SEND4EIGHT: ", message2send4eight)
                # 
        else:
            message2send4eight = "<negative4xi>negative2eight</negative4xi>"
            if ack2debug is True:
                print("(STEP 7D/33) OF CHARGE2EIGHT4XI - SET MESSAGE2SEND4EIGHT: ", message2send4eight)        
    except:
        if ack2debug is True:
            print("(STEP 7E/33) OF CHARGE2EIGHT4XI - *** EXCEPTION WITH CHANNEL2CONSUME4EIGHT.RECV: ", channel2consume4eight.recv) 
        message2send4eight = "<negative4xi>negative2eight</negative4xi>"
        if ack2debug is True:
            print("(STEP 7F/33) OF CHARGE2EIGHT4XI - SET MESSAGE2SEND4EIGHT: ", message2send4eight)       
            

    # ---------------------------------------------------------------------------------------------
    # SEND DATA TO THE PIPE'S PUBLISHER CHANNEL 
    # ---------------------------------------------------------------------------------------------
    if ack2debug is True:
        print("(STEP 8A/33) OF CHARGE2EIGHT4XI - TRYING TO SEND DATA TO CHANNEL2PUBLISHER4EIGHT: ", channel2publish4eight)
        # 
    try:         
        channel2publish4eight.send(message2send4eight)
        if ack2debug is True:
            print("(STEP 8B/33) OF CHARGE2EIGHT4XI - SENT MESSAGE2SEND4EIGHT: ", message2send4eight, " CHANNEL2PUBLISHER4EIGHT: ", channel2publish4eight)
            # 
    except:
        print("(STEP 8C/33) OF CHARGE2EIGHT4XI - *** FAILED TO SEND MESSAGE2SEND4EIGHT: ", message2send4eight, " CHANNEL2PUBLISHER4EIGHT: ", channel2publish4eight) 


    # -----------------------------------------------------------------------------------------    
    # USING THE DUMMY PROCESS TO CHARGE - THIS APPROACH TRIES FASTER RETURN TO MAINPROCESS4XI  
    # -----------------------------------------------------------------------------------------      
    if ack2debug is True:
        print("(STEP 9A/33) OF CHARGE2EIGHT4XI - CREATING A DUMMY PROCESS4XI")  
    
    
    # -----------------------------------------------------------------------------------------    
    # CREATE THE DUMMY PROCESS OBJECT 
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2eight = DummyProcess4Xi(target=fire2eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 9B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2EIGHT: ", dummy2eight)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 9C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2EIGHT ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # START THE DUMMY PROCESS OBJECT
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 9D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2eight.start() 
            if ack2debug is True:
                print("(STEP 9E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY2EIGHT: ", dummy2eight)
            
           
            ack2start = True
        except:
            print("(STEP 9F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 9G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False
        
# ====  
# [10]
# ==== 
   
    # -----------------------------------------------------------------------------------------    
    # 10 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy10eight = DummyProcess4Xi(target=fire10eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 10B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY10EIGHT: ", dummy10eight) 
            # 
        
        ack2dummy = True
    except:
        print("(STEP 10C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY10EIGHT ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 10 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 10D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy10eight.start() 
            if ack2debug is True:
                print("(STEP 10E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY10EIGHT: ", dummy10eight)
                # 
            
            ack2start = True
        except:
            print("(STEP 10F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 10G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False                             

        
# =====  
# [100]
# ===== 
       
    # -----------------------------------------------------------------------------------------    
    # 100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy100eight = DummyProcess4Xi(target=fire100eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 100B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY100EIGHT: ", dummy100eight)
            #  
        
        ack2dummy = True
    except:
        print("(STEP 100C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY100EIGHT ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 100D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())
            # 
        ack2start = False
        try:      
            dummy100eight.start() 
            if ack2debug is True:
                print("(STEP 100E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY100EIGHT: ", dummy100eight)
                #  
            
            ack2start = True
        except:
            print("(STEP 100F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 100G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      

        
# =====  
# [200]
# ===== 
         
    # -----------------------------------------------------------------------------------------    
    # 200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy200eight = DummyProcess4Xi(target=fire200eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 200B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY200EIGHT: ", dummy200eight)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 200C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY200EIGHT ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 200D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy200eight.start() 
            if ack2debug is True:
                print("(STEP 200E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY200EIGHT: ", dummy200eight)
                #         
            
            ack2start = True
        except:
            print("(STEP 200F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 200G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# =====  
# [300]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy300eight = DummyProcess4Xi(target=fire300eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 300B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY300EIGHT: ", dummy300eight)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 300C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY300EIGHT ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 300D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy300eight.start() 
            if ack2debug is True:
                print("(STEP 300E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY300EIGHT: ", dummy300eight)
                # 
            
            ack2start = True
        except:
            print("(STEP 300F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 300G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# =====  
# [400]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 400 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy400eight = DummyProcess4Xi(target=fire400eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 400B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY400EIGHT: ", dummy400eight)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 400C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY400EIGHT ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 400 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 400D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy400eight.start() 
            if ack2debug is True:
                print("(STEP 400E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY400EIGHT: ", dummy400eight)
                # 
            
            ack2start = True
        except:
            print("(STEP 400F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 400G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# =====  
# [500]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 500 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy500eight = DummyProcess4Xi(target=fire500eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 500B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY500EIGHT: ", dummy500eight)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 500C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY500EIGHT ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 500 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 500D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy500eight.start() 
            if ack2debug is True:
                print("(STEP 500E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY500EIGHT: ", dummy500eight)
                # 
            
            ack2start = True
        except:
            print("(STEP 500F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 500G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# =====  
# [600]
# ===== 
                
    # -----------------------------------------------------------------------------------------    
    # 600 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy600eight = DummyProcess4Xi(target=fire600eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 600B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY600EIGHT: ", dummy600eight)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 600C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY600EIGHT ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 600 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 600D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy600eight.start() 
            if ack2debug is True:
                print("(STEP 600E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY600EIGHT: ", dummy600eight)
                # 
            
            ack2start = True
        except:
            print("(STEP 600F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 600G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# =====  
# [700]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 700 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy700eight = DummyProcess4Xi(target=fire700eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 700B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY700EIGHT: ", dummy700eight)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 700C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY700EIGHT ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 700 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 700D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy700eight.start() 
            if ack2debug is True:
                print("(STEP 700E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY700EIGHT: ", dummy700eight)
                # 
            
            ack2start = True
        except:
            print("(STEP 700F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 700G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# =====  
# [800]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 800 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy800eight = DummyProcess4Xi(target=fire800eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 800B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY800EIGHT: ", dummy800eight)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 800C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY800EIGHT ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 800 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 800D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy800eight.start() 
            if ack2debug is True:
                print("(STEP 800E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY800EIGHT: ", dummy800eight)
                # 
            
            ack2start = True
        except:
            print("(STEP 800F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 800G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# =====  
# [900]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 900 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy900eight = DummyProcess4Xi(target=fire900eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 900B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY900EIGHT: ", dummy900eight)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 900C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY900EIGHT ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 900 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 900D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy900eight.start() 
            if ack2debug is True:
                print("(STEP 900E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY900EIGHT: ", dummy900eight)
                # 
            
            ack2start = True
        except:
            print("(STEP 900F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 900G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False                              
        
# ======  
# [1000]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 1000 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1000eight = DummyProcess4Xi(target=fire1000eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 1000B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1000EIGHT: ", dummy1000eight)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1000C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1000EIGHT ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1000 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1000D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1000eight.start() 
            if ack2debug is True:
                print("(STEP 1000E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY1000EIGHT: ", dummy1000eight)
                # 
            
            ack2start = True
        except:
            print("(STEP 1000F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1000G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# ======  
# [1100]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1100eight = DummyProcess4Xi(target=fire1100eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 1100B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1100EIGHT: ", dummy1100eight)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1100C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1100EIGHT ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1100D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1100eight.start() 
            if ack2debug is True:
                print("(STEP 1100E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY1100EIGHT: ", dummy1100eight)
                # 
            
            ack2start = True
        except:
            print("(STEP 1100F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1100G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# ======  
# [1200]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1200eight = DummyProcess4Xi(target=fire1200eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 1200B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1200EIGHT: ", dummy1200eight)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1200C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1200EIGHT ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1200D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1200eight.start() 
            if ack2debug is True:
                print("(STEP 1200E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY1200EIGHT: ", dummy1200eight)
                # 
            
            ack2start = True
        except:
            print("(STEP 1200F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1200G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# ======  
# [1300]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1300eight = DummyProcess4Xi(target=fire1300eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 1300B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1300EIGHT: ", dummy1300eight)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1300C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1300EIGHT ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1300D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1300eight.start() 
            if ack2debug is True:
                print("(STEP 1300E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY1300EIGHT: ", dummy1300eight)
                # 
            
            ack2start = True
        except:
            print("(STEP 1300F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1300G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# ======  
# [1400]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1400 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1400eight = DummyProcess4Xi(target=fire1400eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 1400B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1400EIGHT: ", dummy1400eight)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1400C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1400EIGHT ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 1400 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1400D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1400eight.start() 
            if ack2debug is True:
                print("(STEP 1400E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY1400EIGHT: ", dummy1400eight)
                # 
            
            ack2start = True
        except:
            print("(STEP 1400F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1400G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [1500]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1500 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1500eight = DummyProcess4Xi(target=fire1500eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 1500B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1500EIGHT: ", dummy1500eight)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1500C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1500EIGHT ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 1500 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1500D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1500eight.start() 
            if ack2debug is True:
                print("(STEP 1500E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY1500EIGHT: ", dummy1500eight)
                # 
            
            ack2start = True
        except:
            print("(STEP 1500F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1500G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [1600]
# ====== 
                       
    # -----------------------------------------------------------------------------------------    
    # 1600 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1600eight = DummyProcess4Xi(target=fire1600eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 1600B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1600EIGHT: ", dummy1600eight)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1600C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1600EIGHT ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1600 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1600D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1600eight.start() 
            if ack2debug is True:
                print("(STEP 1600E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY1600EIGHT: ", dummy1600eight)
                # 
            
            ack2start = True
        except:
            print("(STEP 1600F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1600G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     

        
# ======  
# [1700]
# ====== 
         
    # -----------------------------------------------------------------------------------------    
    # 1700 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1700eight = DummyProcess4Xi(target=fire1700eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 1700B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1700EIGHT: ", dummy1700eight)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1700C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1700EIGHT ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1700 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1700D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1700eight.start() 
            if ack2debug is True:
                print("(STEP 1700E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY1700EIGHT: ", dummy1700eight)
                # 
            
            ack2start = True
        except:
            print("(STEP 1700F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1700G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False             
        
# ======  
# [1800]
# ====== 
         
    # -----------------------------------------------------------------------------------------    
    # 1800 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1800eight = DummyProcess4Xi(target=fire1800eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 1800B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1800EIGHT: ", dummy1800eight)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1800C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1800EIGHT ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1800 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1800D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1800eight.start() 
            if ack2debug is True:
                print("(STEP 1800E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY1800EIGHT: ", dummy1800eight)
                # 
            
            ack2start = True
        except:
            print("(STEP 1800F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1800G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False   
        
        
# ======  
# [1900]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 1900 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1900eight = DummyProcess4Xi(target=fire1900eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 1900B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1900EIGHT: ", dummy1900eight)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1900C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1900EIGHT ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1900 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1900D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1900eight.start() 
            if ack2debug is True:
                print("(STEP 1900E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY1900EIGHT: ", dummy1900eight)
                # 
            
            ack2start = True
        except:
            print("(STEP 1900F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1900G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False             

    
        
# ======  
# [2000]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2000 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2000eight = DummyProcess4Xi(target=fire2000eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 2000B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2000EIGHT: ", dummy2000eight)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2000C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2000EIGHT ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 2000 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2000D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2000eight.start() 
            if ack2debug is True:
                print("(STEP 2000E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY2000EIGHT: ", dummy2000eight)
                # 
            
            ack2start = True
        except:
            print("(STEP 2000F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2000G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2100]
# ====== 
         
    # -----------------------------------------------------------------------------------------    
    # 2100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2100eight = DummyProcess4Xi(target=fire2100eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 2100B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2100EIGHT: ", dummy2100eight)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2100C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2100EIGHT ***")
        ack2dummy = False
                 
    # -----------------------------------------------------------------------------------------    
    # 2100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2100D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2100eight.start() 
            if ack2debug is True:
                print("(STEP 2100E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY2100EIGHT: ", dummy2100eight)
                # 
            
            ack2start = True
        except:
            print("(STEP 2100F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2100G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2200]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2200eight = DummyProcess4Xi(target=fire2200eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 2200B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2200EIGHT: ", dummy2200eight)
            #  
        
        ack2dummy = True
    except:
        print("(STEP 2200C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2200EIGHT ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2200D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2200eight.start() 
            if ack2debug is True:
                print("(STEP 2200E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY2200EIGHT: ", dummy2200eight)
                # 
            
            ack2start = True
        except:
            print("(STEP 2200F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2200G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2300]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2300eight = DummyProcess4Xi(target=fire2300eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 2300B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2300EIGHT: ", dummy2300eight)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2300C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2300EIGHT ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2300D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2300eight.start() 
            if ack2debug is True:
                print("(STEP 2300E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY2300EIGHT: ", dummy2300eight)
                # 
            
            ack2start = True
        except:
            print("(STEP 2300F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2300G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2400]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2400 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2400eight = DummyProcess4Xi(target=fire2400eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 2400B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2400EIGHT: ", dummy2400eight)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2400C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2400EIGHT ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2400 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2400D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2400eight.start() 
            if ack2debug is True:
                print("(STEP 2400E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY2400EIGHT: ", dummy2400eight)
                # 
            
            ack2start = True
        except:
            print("(STEP 2400F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2400G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
                                                                            
         
# ======  
# [2500]
# ====== 
       
    # -----------------------------------------------------------------------------------------    
    # 2500 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2500eight = DummyProcess4Xi(target=fire2500eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 2500B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2500EIGHT: ", dummy2500eight)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2500C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2500EIGHT ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2500 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2500D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2500eight.start() 
            if ack2debug is True:
                print("(STEP 2500E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY2500EIGHT: ", dummy2500eight)
                # 
            
            ack2start = True
        except:
            print("(STEP 2500F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2500G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2600]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2600 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2600eight = DummyProcess4Xi(target=fire2600eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 2600B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2600EIGHT: ", dummy2600eight)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2600C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2600EIGHT ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2600 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2600D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2600eight.start() 
            if ack2debug is True:
                print("(STEP 2600E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY2600EIGHT: ", dummy2600eight)
                # 
            
            ack2start = True
        except:
            print("(STEP 2600F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2600G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2700]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2700 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2700eight = DummyProcess4Xi(target=fire2700eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 2700B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2700EIGHT: ", dummy2700eight)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2700C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2700EIGHT ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2700 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2700D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2700eight.start() 
            if ack2debug is True:
                print("(STEP 2700E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY2700EIGHT: ", dummy2700eight)
                # 
            
            ack2start = True
        except:
            print("(STEP 2700F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2700G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2800]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2800 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2800eight = DummyProcess4Xi(target=fire2800eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 2800B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2800EIGHT: ", dummy2800eight)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2800C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2800EIGHT ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2800 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2800D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2800eight.start() 
            if ack2debug is True:
                print("(STEP 2800E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY2800EIGHT: ", dummy2800eight)
                # 
            
            ack2start = True
        except:
            print("(STEP 2800F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2800G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2900]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2900 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2900eight = DummyProcess4Xi(target=fire2900eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 2900B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2900EIGHT: ", dummy2900eight)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2900C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2900EIGHT ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2900 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2900D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2900eight.start() 
            if ack2debug is True:
                print("(STEP 2900E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY2900EIGHT: ", dummy2900eight)
                # 
            
            ack2start = True
        except:
            print("(STEP 2900F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2900G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3000]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 3000 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3000eight = DummyProcess4Xi(target=fire3000eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 3000B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY3000EIGHT: ", dummy3000eight)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 3000C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY3000EIGHT ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3000 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 3000D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3000eight.start() 
            if ack2debug is True:
                print("(STEP 3000E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY3000EIGHT: ", dummy3000eight)
                # 
            
            ack2start = True
        except:
            print("(STEP 3000F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 3000G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3100]
# ====== 
            
    # -----------------------------------------------------------------------------------------    
    # 3100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3100eight = DummyProcess4Xi(target=fire3100eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 3100B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY3100EIGHT: ", dummy3100eight)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 3100C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY3100EIGHT ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 3100D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3100eight.start() 
            if ack2debug is True:
                print("(STEP 3100E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY3100EIGHT: ", dummy3100eight)
                # 
            
            ack2start = True
        except:
            print("(STEP 3100F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 3100G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3200]
# ====== 
            
    # -----------------------------------------------------------------------------------------    
    # 3200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3200eight = DummyProcess4Xi(target=fire3200eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 3200B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY3200EIGHT: ", dummy3200eight)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 3200C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY3200EIGHT ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 3200D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3200eight.start() 
            if ack2debug is True:
                print("(STEP 3200E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY3200EIGHT: ", dummy3200eight)
                #  
            
            ack2start = True
        except:
            print("(STEP 3200F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 3200G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3300]
# ====== 
            
    # -----------------------------------------------------------------------------------------    
    # 3300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3300eight = DummyProcess4Xi(target=fire3300eight4xi, 
                                     args =(queue2work4eight,
                                            channel2consume4eight, channel2publish4eight))
        if ack2debug is True:
            print("(STEP 3300B/33) OF CHARGE2EIGHT4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY3300EIGHT: ", dummy3300eight)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 3300C/33) OF CHARGE2EIGHT4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY3300EIGHT ***") 
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 3300D/33) OF CHARGE2EIGHT4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3300eight.start() 
            if ack2debug is True:
                print("(STEP 3300E/33) OF CHARGE2EIGHT4XI - STARTED THE DUMMY PROCESS4XI DUMMY3300EIGHT: ", dummy3300eight)
                # 
                
            ack2start = True
        except:
            print("(STEP 3300F/33) OF CHARGE2EIGHT4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 3300G/33) OF CHARGE2EIGHT4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
                                                           
           
    # ---------------------------------------------------------------------------------------------    
    # RETURN
    # ---------------------------------------------------------------------------------------------     
    if ack2debug is True:
        print('=' *33)
        print("(STEP 11/33) OF CHARGE2EIGHT4XI - RETURNING TIME: ", time4xi())
        print('=' *33)
        # 09:45:53 01/24/13 Pacific Standard Time 
    
    
        
#</function4xi>
#</program4xi>


# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of charge2eight4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
